Subject: Re: bug#72450: 29.1; Tramp Failed to Parse OS Name and Version for Windows 11

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Aug 2024 12:15:24 +0300

> From: Michael Albinus <[email-masked]>
> Cc: Duncan Greatwood <[email-masked]>,  [email-masked]
> Date: Sun, 04 Aug 2024 10:28:05 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > My suggestion is not to have the MSYS 'uname' on your Path.  I think
> > it gets in the way, and Tramp doesn't really need it on Windows.
> 
> I don't know, whether it is the MSYS 'uname', or something else on the
> remote side, which produces the ESCAPE sequence.
> 
> > Michael, am I right?
> 
> Tramp calls 'uname -sr' for a reason. It checks, whether the remote
> system has changed its kernel since the last visit, and in case of, it
> invalidates all cached values.

So Tramp expects to find 'uname' on a remote Windows system?  Does it
mean that one cannot login to a remote Windows system where 'uname' is
not available (it usually isn't)?

> > In general, too many Windows users of Emacs install MSYS in a way that
> > its utilities are on the system-wide Path, without understanding the
> > caveats and subtle issues this could cause.
> 
> First we need to know where the ESCAPE sequence comes from. Any idea?

Sorry, no.  I don't have MSYS2 installed.  Could be actually Bash or
its customizations in the OP's init files.